Wait for runs
POST
Wait for runs

Authorizations

Authorization
string
header
required

Voiceflow bearer token

Query Parameters

projectID
string
required

The ID of the project to operate on.

environmentAlias
string
required

The alias of the environment to operate on (e.g. main).

Body

runIDs
string[]
required

The runs to wait for: the IDs create_run or create_many_runs returned (each run's id, not its testID).

timeoutSeconds
integer
default:45

How long to wait at most, in seconds: 45 by default, 120 at most.

Response

200 - application/json
done
boolean
required

Every run found has passed, failed or been canceled.

stoppedBy
enum<string>
required
Available options: finished, timeout, abort
waitedSeconds
integer
required
runs
object[]
required
notFoundRunIDs
string[]
note
string

Use the up and down arrow keys to select a result, Enter to open it, and Escape to close the search.